2 * Project Info: http://jcae.sourceforge.net
4 * This program is free software; you can redistribute it and/or modify it under
5 * the terms of the GNU Lesser General Public License as published by the Free
6 * Software Foundation; either version 2.1 of the License, or (at your option)
9 * This program is distributed in the hope that it will be useful, but WITHOUT
10 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
11 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
14 * You should have received a copy of the GNU Lesser General Public License
15 * along with this program; if not, write to the Free Software Foundation, Inc.,
16 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
18 * (C) Copyright 2005, by EADS CRC
22 #include <BRepPrimAPI_MakeBox.hxx>
23 #include <BRepPrimAPI_MakeCone.hxx>
24 #include <BRepPrimAPI_MakeBox.hxx>
25 #include <BRepPrimAPI_MakeTorus.hxx>
26 #include <BRepPrimAPI_MakeCylinder.hxx>
27 #include <BRepPrimAPI_MakeSphere.hxx>
28 #include <BRepPrimAPI_MakePrism.hxx>
29 #include <BRepPrimAPI_MakeRevol.hxx>
30 #include <BRepOffsetAPI_MakePipe.hxx>
33 class BRepPrimAPI_MakeBox : public BRepBuilderAPI_MakeShape
36 BRepPrimAPI_MakeBox(const gp_Pnt& P1,const gp_Pnt& P2);
39 class BRepPrimAPI_MakeCone : public BRepBuilderAPI_MakeShape
42 BRepPrimAPI_MakeCone(const gp_Ax2& axes, const Standard_Real baseRadius,
43 const Standard_Real topRadius,const Standard_Real height, const Standard_Real angle);
47 class BRepPrimAPI_MakeCylinder : public BRepBuilderAPI_MakeShape
50 %javamethodmodifiers BRepPrimAPI_MakeCylinder(const gp_Ax2& axes,const Standard_Real radius,
51 const Standard_Real height,const Standard_Real angle) "
53 * @param axes is {X, Y, Z, directionX, directionY, directionZ}
56 BRepPrimAPI_MakeCylinder(const gp_Ax2& axes,const Standard_Real radius,
57 const Standard_Real height,const Standard_Real angle);
60 class BRepPrimAPI_MakeTorus : public BRepBuilderAPI_MakeShape
63 BRepPrimAPI_MakeTorus(const gp_Ax2& Axes,const Standard_Real R1,
64 const Standard_Real R2);
65 BRepPrimAPI_MakeTorus(const gp_Ax2& Axes, const Standard_Real R1,
66 const Standard_Real R2, const Standard_Real angle1,
67 const Standard_Real angle2, const Standard_Real angle);
70 class BRepPrimAPI_MakeSphere : public BRepBuilderAPI_MakeShape
73 BRepPrimAPI_MakeSphere(const gp_Pnt& center,const Standard_Real radius);
74 BRepPrimAPI_MakeSphere(const gp_Ax2& axis,const Standard_Real R,const Standard_Real angle1,const Standard_Real angle2,const Standard_Real angle3);
77 class BRepPrimAPI_MakeSweep : public BRepBuilderAPI_MakeShape
81 class BRepPrimAPI_MakePrism : public BRepPrimAPI_MakeSweep
84 BRepPrimAPI_MakePrism(const TopoDS_Shape& baseShape, const gp_Vec& extrudeDirection, const
85 Standard_Boolean Copy = Standard_False,
86 const Standard_Boolean Canonize = Standard_True);
88 // gp_Vec and gp_Dir are both translated to double[] so this contructor
89 // will conflict with the previous one
90 // TODO: Change the signature to avoir conflict (easy but I have no time for now)
91 // BRepPrimAPI_MakePrism(const TopoDS_Shape& S,const gp_Dir& D,const
92 // Standard_Boolean Inf = Standard_True,const Standard_Boolean Copy =
93 // Standard_False,const Standard_Boolean Canonize = Standard_True);
96 class BRepPrimAPI_MakeRevol : public BRepPrimAPI_MakeSweep {
98 BRepPrimAPI_MakeRevol(const TopoDS_Shape& shape, const gp_Ax1& axis, const Standard_Real angle, const Standard_Boolean copy = Standard_False);
99 BRepPrimAPI_MakeRevol(const TopoDS_Shape& shape, const gp_Ax1& axis, const Standard_Boolean copy = Standard_False);
102 class BRepOffsetAPI_MakePipe : public BRepPrimAPI_MakeSweep {
104 BRepOffsetAPI_MakePipe(const TopoDS_Wire& Spine,const TopoDS_Shape& Profile);
109 /*******************************************************************
\r
113 *******************************************************************/
117 #include <BRepPrimAPI_MakeWedge.hxx>
120 class BRepPrimAPI_MakeWedge : public BRepBuilderAPI_MakeShape
\r
123 BRepPrimAPI_MakeWedge(const gp_Ax2& Axes,const Standard_Real dx,const Standard_Real dy,const Standard_Real dz,const Standard_Real xmin,const Standard_Real zmin,const Standard_Real xmax,const Standard_Real zmax);
\r
124 BRepPrimAPI_MakeWedge(const gp_Ax2& Axes,const Standard_Real dx,const Standard_Real dy,const Standard_Real dz,const Standard_Real ltx);
\r